
Auto Multiple Choice - Bug # 652: probleme de scan mac os x 10.13
Author: Olivier Dadoun Category:
Description: Hello,

gros problème de reconnaissance de scan
...
J'ai desinstallé complément brew (j'ai plus rien de brew qui traine) et 
réinstallé proprement auto-multiple-choice avec port.
Lors que je lance auto-multiple-choice j'ai ce warning

WARNING **: Failed to load shared library 'libcairo-gobject.2.dylib' referenced by the typelib: 
dlopen(libcairo-gobject.2.dylib, 9): image not found at /opt/local/lib/perl5/vendor_perl/5.28/Gtk3.pm line 479.

Probleme deja soulevé (https://project.auto-multiple-choice.net/issues/603) qui vient apparemment de Gtk3 un 

perl -e "use Gtk3;" le confirme
WARNING **: Failed to load shared library 'libcairo-gobject.2.dylib' referenced by the typelib: 
dlopen(libcairo-gobject.2.dylib, 9): image not found at /opt/local/lib/perl5/vendor_perl/5.28/Gtk3.pm line 479.

J'ai vu que ca pouvait être un problème d'opencv (j'ai la version 3.4.3).
Quelqu'un aurait-il une idée ?
En vous remerciant par avance,
ACMent vôtre
Olivier

History
06/06/2019 06:59 am - Olivier Dadoun
Bonjour,

comme la nuit porte conseil j'ai testé ce matin un:

export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:/opt/local/lib/

# perl -e "use Gtk3;"
renvoie

Can't load '/opt/local/lib/perl5/vendor_perl/5.28/darwin-thread-multi-2level/auto/Cairo/Cairo.bundle' for module Cairo: 
dlopen(/opt/local/lib/perl5/vendor_perl/5.28/darwin-thread-multi-2level/auto/Cairo/Cairo.bundle, 1): Symbol not found: _sqlite3_intarray_bind
  Referenced from: /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
  Expected in: /opt/local/lib//libsqlite3.dylib
 in /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData at /opt/local/lib/perl5/5.28/darwin-thread-multi-2level/DynaLoader.pm line 
197.
 at /opt/local/lib/perl5/vendor_perl/5.28/darwin-thread-multi-2level/Cairo/GObject.pm line 14.
Compilation failed in require at /opt/local/lib/perl5/vendor_perl/5.28/darwin-thread-multi-2level/Cairo/GObject.pm line 14.
BEGIN failed--compilation aborted at /opt/local/lib/perl5/vendor_perl/5.28/darwin-thread-multi-2level/Cairo/GObject.pm line 14.
Compilation failed in require at /opt/local/lib/perl5/vendor_perl/5.28/Gtk3.pm line 47.
BEGIN failed--compilation aborted at /opt/local/lib/perl5/vendor_perl/5.28/Gtk3.pm line 47.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

Moi ca m'en dit pas plus ...

06/06/2019 02:50 pm - Olivier Dadoun
Bon,

apparemment le export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:/opt/local/lib/
est une super mauvaise idéé, ça d'autres conséquences mauvaise pour le système.
J'ai donc désinstallé complément port et reinstallé acm avec brew et ca marche super bien .

Voila c'était un peu un échange entre moi et moi :)

02/08/2021 10:58 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
